# Policy contract reader

To build:
```
$ make
```

To list all container targets:

```
$ ./bin/policy-reader contract -r http://morph-chain.frostfs.devenv:30333 list-targets --type container
container targets: 3
7h7NcXcF6k6b1yidqEHc1jkyXUm1MfUDrrTuHAefhiDe    (base64: 'N2g3TmNYY0Y2azZiMXlpZHFFSGMxamt5WFVtMU1mVURyclR1SEFlZmhpRGU=')
Ei2Fz988ZUFEHUEXxTadouysebPGAW7vsxn1hSiYYzT     (base64: 'RWkyRno5ODhaVUZFSFVFWHhUYWRvdXlzZWJQR0FXN3ZzeG4xaFNpWVl6VA==')
Ew23XpQadxG5iyujTg2xPajaQXnN17tWSjgFk7Bv5ADj    (base64: 'RXcyM1hwUWFkeEc1aXl1alRnMnhQYWphUVhuTjE3dFdTamdGazdCdjVBRGo=')
```

See additional params:

```
Helps reading policy information from contact in FrostFS network

Usage:
  policy-reader [flags]
  policy-reader [command]

Examples:
policy-reader --version

Available Commands:
  chains      Chain related policy operations
  completion  Generate the autocompletion script for the specified shell
  contract    Operations with policy contract
  help        Help about any command

Flags:
  -c, --config string   Path to config file
  -h, --help            help for policy-reader
  -v, --version         version for policy-reader

Use "policy-reader [command] --help" for more information about a command.
```

Use:

* `policy-reader contract` to invoke contract functions
* `policy-reader chains` to list chains related to some entities (user/container) by name
